ilch Forum » Ilch Clan 1.1 » Allgemein » Sprache ändern?????

Geschlossen
  1. #1
    User Pic
    herby Mitglied
    Registriert seit
    19.08.2007
    Beiträge
    20
    Beitragswertungen
    0 Beitragspunkte
    Hallo Leute!
    Ich hab mal ne Frage.....
    Ist es möglich das Clanscript irgendwie in Englisch darzustellen?
    Ich mein gibts da language packs oder sowas?


    danke im voraus für eure antworten


    verwendete ilchClan Version: 1.1
    0 Mitglieder finden den Beitrag gut.
  2. #2
    User Pic
    SLJ Hall Of Fame
    Registriert seit
    18.05.2004
    Beiträge
    15.492
    Beitragswertungen
    3 Beitragspunkte
    Die englische müsste schon im ordner lang sein,... dann must du nur noch in der loaded.php von de auf en umstellen,...;)
    www.zocker-eppingen.de
    Ilch 1.0.4 PHP 7.0 und PDO Fähig na klar lächeln
    0 Mitglieder finden den Beitrag gut.
  3. #3
    User Pic
    Ithron Hall Of Fame
    Registriert seit
    21.01.2006
    Beiträge
    2.659
    Beitragswertungen
    24 Beitragspunkte
    1. downloads schauen
    2. suchfunktion nutzen
    3. nochmal beides benutzen, vielleicht hat man was übersehen
    4. fragen


    du hast 1-3 eindeutig ausgelassen.
    ZitatZitat geschrieben von loW

    Ja ich habs gesehen und wenn ichs kostenlos bekomm dann zahl ich doch nix dafür oder?
    0 Mitglieder finden den Beitrag gut.
  4. #4
    User Pic
    herby Mitglied
    Registriert seit
    19.08.2007
    Beiträge
    20
    Beitragswertungen
    0 Beitragspunkte
    denke mal dann hab ich nicht gründlich genug gesucht ;-)

    danke für die antworten das werde ich gleich mal ausprobieren
    0 Mitglieder finden den Beitrag gut.
  5. #5
    User Pic
    herby Mitglied
    Registriert seit
    19.08.2007
    Beiträge
    20
    Beitragswertungen
    0 Beitragspunkte
    Super Aktion....Englisch läuft.
    Danke für die Hilfe nochmal
    0 Mitglieder finden den Beitrag gut.
  6. #6
    User Pic
    QuaLiTy Mitglied
    Registriert seit
    22.02.2012
    Beiträge
    19
    Beitragswertungen
    0 Beitragspunkte
    wo findet man die loaded.php?
    0 Mitglieder finden den Beitrag gut.
  7. #7
    User Pic
    Ahrtas Moderator
    Registriert seit
    17.12.2007
    Beiträge
    2.368
    Beitragswertungen
    210 Beitragspunkte
    ZitatZitat geschrieben von QuaLiTy

    wo findet man die loaded.php?
    include/includes/loader.php
    0 Mitglieder finden den Beitrag gut.
  8. #8
    User Pic
    Boosted Mitglied
    Registriert seit
    28.11.2008
    Beiträge
    38
    Beitragswertungen
    0 Beitragspunkte
    Greif das mal wieder auf hier...
    Habe den Language mod heruntergeladen und wie beschrieben "installiert".
    Anschliessend zeigt er mir aber die Website nicht mehr an, kommt blanko dann.
    Hat das evtl mit dem nicht standart Design zu tun das ich installiert habe?
    Nutze CFX_free_36-blau_v2.
    0 Mitglieder finden den Beitrag gut.
  9. #9
    User Pic
    FeTTsack Hall Of Fame
    Registriert seit
    27.06.2012
    Beiträge
    188
    Beitragswertungen
    26 Beitragspunkte
    haste diesen hier installiert ?

    www.ilch.de/downloads-show-704.html

    dieser überschreibt deine loader.php
    da du aber ilch1.1 P hast, haste damit deine loader.php bissle zerschossen.

    ersetze mal den inhalt deiner loader.php

    mit diesem:
    <?php
    #   Copyright by Manuel
    #   Support www.ilch.de
    
    defined('main') or die('no direct access');
    
    # load init script (constants, php settings, etc) 
    require_once('include/includes/init.php');
    
    # load all needed classes
    require_once('include/includes/class/tpl.php');
    require_once('include/includes/class/design.php');
    require_once('include/includes/class/menu.php');
    if (version_compare(PHP_VERSION, '5.0') > -1) {
        require_once('include/includes/class/pwcrypt.php');
    }
    
    # fremde classes laden
    if (version_compare(PHP_VERSION, '5.3') == -1) {
        require_once('include/includes/class/xajax.php4.inc.php');
    } else {
        require_once('include/includes/class/xajax.php5.inc.php');
    }
    
    # load all needed func
    require_once('include/includes/func/db/mysql.php');
    require_once('include/includes/func/calender.php');
    require_once('include/includes/func/user.php');
    require_once('include/includes/func/escape.php');
    require_once('include/includes/func/allg.php');
    require_once('include/includes/func/debug.php');
    require_once('include/includes/func/bbcode.php');
    require_once('include/includes/func/profilefields.php');
    require_once('include/includes/func/statistic.php');
    require_once('include/includes/func/listen.php');
    require_once('include/includes/func/forum.php');
    require_once('include/includes/func/forumex.php');
    require_once('include/includes/func/warsys.php');
    require_once('include/includes/func/ic_mime_type.php');
    
    # load something else
    #LanguageMod
    if (!empty($_SESSION['language'])){
       $lang = "include/includes/lang/".$_SESSION['language'].".php";
    }
    else{
       $lang = "include/includes/lang/de.php";
    }
    require_once ($lang);
    ?>



    Zuletzt modifiziert von FeTTsack am 30.06.2015 - 16:30:08
    0 Mitglieder finden den Beitrag gut.
  10. #10
    User Pic
    Boosted Mitglied
    Registriert seit
    28.11.2008
    Beiträge
    38
    Beitragswertungen
    0 Beitragspunkte
    Hmm, jetzt sagt er mir: Failed opening required 'include/includes/func/forumex.php'
    habe da auch nur forum.php.
    Ich habe es mal auskommentiert, und so wie es aussieht scheint das zu klappen.
    Noch kurz eine andere Frage zur sprache.
    Kann man festlegen das English default ist?
    Das wäre spitze.
    0 Mitglieder finden den Beitrag gut.
  11. #11
    User Pic
    FeTTsack Hall Of Fame
    Registriert seit
    27.06.2012
    Beiträge
    188
    Beitragswertungen
    26 Beitragspunkte
    Upppsss
    Nimm den require_once von der forumex.php raus.
    0 Mitglieder finden den Beitrag gut.
  12. #12
    User Pic
    Boosted Mitglied
    Registriert seit
    28.11.2008
    Beiträge
    38
    Beitragswertungen
    0 Beitragspunkte
    Kann ich englisch als standart einstellen?
    Weiss das jemand evtl? lächeln
    0 Mitglieder finden den Beitrag gut.
  13. #13
    User Pic
    Outi77 Mitglied
    Registriert seit
    31.03.2013
    Beiträge
    1.333
    Beitragswertungen
    143 Beitragspunkte
    Müßte gehen, wenn Du in der include/includes/loader.php statt der de.php die en.php includest...ungetestet zwinker
    Die richtige Formulierung eines Problems ist nicht selten bereits die halbe Lösung.
    »Albert Einstein«
    0 Mitglieder finden den Beitrag gut.
  14. #14
    User Pic
    Boosted Mitglied
    Registriert seit
    28.11.2008
    Beiträge
    38
    Beitragswertungen
    0 Beitragspunkte
    Getestet und für gut befunden! lachen
    Klappt 1 A lachen


    Zuletzt modifiziert von Boosted am 03.07.2015 - 20:01:55
    0 Mitglieder finden den Beitrag gut.
Geschlossen

Zurück zu Allgemein

Optionen: Bei einer Antwort zu diesem Thema eine eMail erhalten